org.apache.ignite.internal.visor.consistency

## Class VisorConsistencyRepairTask

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorMultiNodeTask<A,VisorConsistencyTaskResult,J>
  - - org.apache.ignite.internal.visor.consistency.AbstractConsistencyTask<VisorConsistencyRepairTaskArg,String>
    - - org.apache.ignite.internal.visor.consistency.VisorConsistencyRepairTask

All Implemented Interfaces:
  Serializable, ComputeTask<VisorTaskArgument<VisorConsistencyRepairTaskArg>,VisorConsistencyTaskResult>

    public class VisorConsistencyRepairTask
    extends AbstractConsistencyTask<VisorConsistencyRepairTaskArg,String>

See Also:
  Serialized Form

### Field Summary

Fields
`static String` `CONSISTENCY_VIOLATIONS_FOUND` Found.
`static String` `CONSISTENCY_VIOLATIONS_RECORDED` Violations recorder.
`static String` `NOTHING_FOUND` Nothing found.

### Fields inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`debug, ignite, start, taskArg`

### Constructor Summary

Constructors
Constructor and Description
`VisorConsistencyRepairTask()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected VisorJob<VisorConsistencyRepairTaskArg,String>` `job(VisorConsistencyRepairTaskArg arg)`

### Methods inherited from class org.apache.ignite.internal.visor.consistency.AbstractConsistencyTask

`reduce0`

### Methods inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`jobNodes, map, map0, reduce, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### NOTHING_FOUND

    public static final String NOTHING_FOUND

Nothing found.

See Also:
  Constant Field Values

#### CONSISTENCY_VIOLATIONS_FOUND

    public static final String CONSISTENCY_VIOLATIONS_FOUND

Found.

See Also:
  Constant Field Values

#### CONSISTENCY_VIOLATIONS_RECORDED

    public static final String CONSISTENCY_VIOLATIONS_RECORDED

Violations recorder.

See Also:
  Constant Field Values

### Constructor Detail

#### VisorConsistencyRepairTask

    public VisorConsistencyRepairTask()

### Method Detail

#### job

    protected VisorJob<VisorConsistencyRepairTaskArg,String> job(VisorConsistencyRepairTaskArg arg)

Specified by:
  `job` in class `VisorMultiNodeTask<VisorConsistencyRepairTaskArg,VisorConsistencyTaskResult,String>`
Parameters:
  `arg` - Task arg.
Returns:
  New job.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.14.0
Release Date | : September 29 2022